DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Load Panel

The LoadPanel is an overlay component used to notify users that a process is in progress. In this demo, you can see how to initialize and configure the component.

Show and Hide the Indicator and Pane

LoadPanel elements (a message and an animated load indicator) are displayed on a pane. If you want to hide it, set the showPane property to false. You can also disable the showIndicator property to hide the animated load indicator. In this case, the LoadPanel displays only the message. In this demo, you can use the "With indicator" and "With pane" checkboxes to change the visibility of the load indicator and pane.

Configure the Background Shade

When LoadPanel is displayed, it shades the background. Use the shadingColor property to specify the color of the shade. You can also specify the element that should be shaded. For this, assign the element's CSS selector to the container property. If you do not want to shade the background, disable the shading property. In this demo, you can uncheck the "With overlay" checkbox to do it.

Show and Hide LoadPanel

To change the LoadPanel visibility in code, use the visible property. Alternatively, you can call the show() and hide() or toggle(showing) methods.

Users can hide LoadPanel when they click outside it if you enable the hideOnOutsideClick property. Use the "Hide on outside click" checkbox to control this functionality in this demo.

LoadPanel also allows you to handle the show and hide events. Use the onShowing and onHiding functions to handle the events before they occur and possibily cancel them. Use the onShown and onHidden functions to perform required actions after the events are raised.

Backend API
$(() => { const showLoadPanel = function () { loadPanel.show(); showEmployeeInfo({}); }; const showEmployeeInfo = function (employee) { $('.birth-date').text(employee.Birth_Date || ''); $('.city').text(employee.City || ''); $('.zipcode').text(employee.Zipcode || ''); $('.address-info').text(employee.Address || ''); $('.mobile-phone').text(employee.Mobile_Phone || ''); $('.email').text(employee.Email || ''); }; $('.show-panel').dxButton({ text: 'Load Data', onClick: showLoadPanel, }); const loadPanel = $('.loadpanel').dxLoadPanel({ shadingColor: 'rgba(0,0,0,0.4)', position: { of: '#employee' }, visible: false, showIndicator: true, showPane: true, shading: true, hideOnOutsideClick: false, onShown() { setTimeout(() => { loadPanel.hide(); }, 3000); }, onHidden() { showEmployeeInfo(employee); }, }).dxLoadPanel('instance'); $('.with-indicator').dxCheckBox({ value: true, text: 'With indicator', onValueChanged(e) { loadPanel.option('showIndicator', e.value); }, }); $('.with-overlay').dxCheckBox({ value: true, text: 'With overlay', onValueChanged(e) { loadPanel.option('shading', e.value); }, }); $('.with-pane').dxCheckBox({ value: true, text: 'With pane', onValueChanged(e) { loadPanel.option('showPane', e.value); }, }); $('.outside-click').dxCheckBox({ value: false, text: 'Hide on outside click', onValueChanged(e) { loadPanel.option('hideOnOutsideClick', e.value); }, }); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <script src="js/dx.all.js"></script> <script src="data.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="container"> <div class="header">John Heart</div> <div class="show-panel"></div> <div id="employee"> <p> Birth date: <b class="birth-date"></b> </p> <p class="address"> Address:<br /> <b class="city"></b><br /> <span class="zipcode"></span> <span class="address-info"></span> </p> <p> Phone: <b class="mobile-phone"></b><br /> Email: <b class="email"></b> </p> </div> <div class="loadpanel"></div> <div class="options"> <div class="caption">Options</div> <div class="option"> <div class="with-indicator"></div> </div> <div class="option"> <div class="with-overlay"></div> </div> <div class="option"> <div class="with-pane"></div> </div> <div class="option"> <div class="outside-click"></div> </div> </div> </div> </div> </body> </html>
.header { font-size: 34px; display: inline-block; vertical-align: middle; padding: 10px; margin: 0; } #employee { margin: 20px 0; -webkit-touch-callout: none; -webkit-user-select: none; -khtml-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; border-top: 1px solid lightgray; border-bottom: 1px solid lightgray; } #employee > p { padding: 10px 20px; margin: 0; } .address { height: 60px; } .options { padding: 20px; background-color: rgba(191, 191, 191, 0.15); margin-top: 20px; } .caption { font-size: 18px; font-weight: 500; } .option { margin-top: 10px; }
const employee = { Full_Name: 'John Heart', Title: 'CEO', Birth_Date: '03/16/1964', Prefix: 'Mr.', Address: '351 S Hill St.', City: 'Los Angeles', Zipcode: 90013, Email: 'jheart@dx-email.com', Skype: 'jheart_DX_skype', Home_Phone: '(213) 555-9208', Mobile_Phone: '(213) 555-9392', };

DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Load Panel

The LoadPanel is an overlay component used to notify users that a process is in progress. In this demo, you can see how to initialize and configure the component.

Show and Hide the Indicator and Pane

LoadPanel elements (a message and an animated load indicator) are displayed on a pane. If you want to hide it, set the showPane property to false. You can also disable the showIndicator property to hide the animated load indicator. In this case, the LoadPanel displays only the message. In this demo, you can use the "With indicator" and "With pane" checkboxes to change the visibility of the load indicator and pane.

Configure the Background Shade

When LoadPanel is displayed, it shades the background. Use the shadingColor property to specify the color of the shade. You can also specify the element that should be shaded. For this, assign the element's CSS selector to the container property. If you do not want to shade the background, disable the shading property. In this demo, you can uncheck the "With overlay" checkbox to do it.

Show and Hide LoadPanel

To change the LoadPanel visibility in code, use the visible property. Alternatively, you can call the show() and hide() or toggle(showing) methods.

Users can hide LoadPanel when they click outside it if you enable the hideOnOutsideClick property. Use the "Hide on outside click" checkbox to control this functionality in this demo.

LoadPanel also allows you to handle the show and hide events. Use the onShowing and onHiding functions to handle the events before they occur and possibily cancel them. Use the onShown and onHidden functions to perform required actions after the events are raised.

Backend API
import React, { useCallback, useState } from 'react'; import { Button } from 'devextreme-react/button'; import { CheckBox, ICheckBoxOptions } from 'devextreme-react/check-box'; import { LoadPanel } from 'devextreme-react/load-panel'; import { employee } from './data.ts'; const position = { of: '#employee' }; const defaultEmployeeInfo: Partial<typeof employee> = {}; export default function App() { const [employeeInfo, setEmployeeInfo] = useState(defaultEmployeeInfo); const [loadPanelVisible, setLoadPanelVisible] = useState(false); const [showIndicator, setShowIndicator] = useState(true); const [shading, setShading] = useState(true); const [showPane, setShowPane] = useState(true); const [hideOnOutsideClick, setHideOnOutsideClick] = useState(false); const hideLoadPanel = useCallback(() => { setLoadPanelVisible(false); setEmployeeInfo(employee); }, [setLoadPanelVisible, setEmployeeInfo]); const onClick = useCallback(() => { setEmployeeInfo({}); setLoadPanelVisible(true); setTimeout(hideLoadPanel, 3000); }, [setEmployeeInfo, setLoadPanelVisible]); const onShowIndicatorChange = useCallback((e: { value: any; }) => { setShowIndicator(e.value); }, [setShowIndicator]) as ICheckBoxOptions['onValueChanged']; const onShadingChange = useCallback((e: { value: any; }) => { setShading(e.value); }, [setShading]) as ICheckBoxOptions['onValueChanged']; const onShowPaneChange = useCallback((e: { value: any; }) => { setShowPane(e.value); }, [setShowPane]) as ICheckBoxOptions['onValueChanged']; const onHideOnOutsideClickChange = useCallback((e: { value: any; }) => { setHideOnOutsideClick(e.value); }, [setHideOnOutsideClick]) as ICheckBoxOptions['onValueChanged']; return ( <React.Fragment> <div className="header">John Heart</div> &nbsp; <Button text="Load Data" onClick={onClick}></Button> <div id="employee"> <p> Birth date: <b>{employeeInfo.Birth_Date}</b> </p> <p className="address"> Address:<br /> <b>{employeeInfo.City}</b><br /> <span>{employeeInfo.Zipcode}</span> <span>{employeeInfo.Address}</span> </p> <p> Phone: <b>{employeeInfo.Mobile_Phone}</b><br /> Email: <b>{employeeInfo.Email}</b> </p> </div> <LoadPanel shadingColor="rgba(0,0,0,0.4)" position={position} onHiding={hideLoadPanel} visible={loadPanelVisible} showIndicator={showIndicator} shading={shading} showPane={showPane} hideOnOutsideClick={hideOnOutsideClick} /> <div className="options"> <div className="caption">Options</div> <div className="option"> <CheckBox text="With indicator" value={showIndicator} onValueChanged={onShowIndicatorChange} /> </div> <div className="option"> <CheckBox text="With overlay" value={shading} onValueChanged={onShadingChange} /> </div> <div className="option"> <CheckBox text="With pane" value={showPane} onValueChanged={onShowPaneChange} /> </div> <div className="option"> <CheckBox text="Hide on outside click" value={hideOnOutsideClick} onValueChanged={onHideOnOutsideClickChange} /> </div> </div> </React.Fragment> ); }
import React, { useCallback, useState } from 'react'; import { Button } from 'devextreme-react/button'; import { CheckBox } from 'devextreme-react/check-box'; import { LoadPanel } from 'devextreme-react/load-panel'; import { employee } from './data.js'; const position = { of: '#employee' }; const defaultEmployeeInfo = {}; export default function App() { const [employeeInfo, setEmployeeInfo] = useState(defaultEmployeeInfo); const [loadPanelVisible, setLoadPanelVisible] = useState(false); const [showIndicator, setShowIndicator] = useState(true); const [shading, setShading] = useState(true); const [showPane, setShowPane] = useState(true); const [hideOnOutsideClick, setHideOnOutsideClick] = useState(false); const hideLoadPanel = useCallback(() => { setLoadPanelVisible(false); setEmployeeInfo(employee); }, [setLoadPanelVisible, setEmployeeInfo]); const onClick = useCallback(() => { setEmployeeInfo({}); setLoadPanelVisible(true); setTimeout(hideLoadPanel, 3000); }, [setEmployeeInfo, setLoadPanelVisible]); const onShowIndicatorChange = useCallback( (e) => { setShowIndicator(e.value); }, [setShowIndicator], ); const onShadingChange = useCallback( (e) => { setShading(e.value); }, [setShading], ); const onShowPaneChange = useCallback( (e) => { setShowPane(e.value); }, [setShowPane], ); const onHideOnOutsideClickChange = useCallback( (e) => { setHideOnOutsideClick(e.value); }, [setHideOnOutsideClick], ); return ( <React.Fragment> <div className="header">John Heart</div> &nbsp; <Button text="Load Data" onClick={onClick} ></Button> <div id="employee"> <p> Birth date: <b>{employeeInfo.Birth_Date}</b> </p> <p className="address"> Address: <br /> <b>{employeeInfo.City}</b> <br /> <span>{employeeInfo.Zipcode}</span> <span>{employeeInfo.Address}</span> </p> <p> Phone: <b>{employeeInfo.Mobile_Phone}</b> <br /> Email: <b>{employeeInfo.Email}</b> </p> </div> <LoadPanel shadingColor="rgba(0,0,0,0.4)" position={position} onHiding={hideLoadPanel} visible={loadPanelVisible} showIndicator={showIndicator} shading={shading} showPane={showPane} hideOnOutsideClick={hideOnOutsideClick} /> <div className="options"> <div className="caption">Options</div> <div className="option"> <CheckBox text="With indicator" value={showIndicator} onValueChanged={onShowIndicatorChange} /> </div> <div className="option"> <CheckBox text="With overlay" value={shading} onValueChanged={onShadingChange} /> </div> <div className="option"> <CheckBox text="With pane" value={showPane} onValueChanged={onShowPaneChange} /> </div> <div className="option"> <CheckBox text="Hide on outside click" value={hideOnOutsideClick} onValueChanged={onHideOnOutsideClickChange} /> </div> </div> </React.Fragment> ); }
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.tsx'; ReactDOM.render( <App />, document.getElementById('app'), );
export const employee = { Full_Name: 'John Heart', Title: 'CEO', Birth_Date: '03/16/1964', Prefix: 'Mr.', Address: '351 S Hill St.', City: 'Los Angeles', Zipcode: 90013, Email: 'jheart@dx-email.com', Skype: 'jheart_DX_skype', Home_Phone: '(213) 555-9208', Mobile_Phone: '(213) 555-9392', };
window.exports = window.exports || {}; window.config = { transpiler: 'ts', typescriptOptions: { module: 'system', emitDecoratorMetadata: true, experimentalDecorators: true, jsx: 'react', }, meta: { 'react': { 'esModule': true, }, 'typescript': { 'exports': 'ts', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, defaultExtension: 'js', map: { 'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js', 'typescript': 'npm:typescript@4.2.4/lib/typescript.js', 'react': 'npm:react@17.0.2/umd/react.development.js', 'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js', 'prop-types': 'npm:prop-types@15.8.1/prop-types.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.2.6/cjs', 'devextreme-react': 'npm:devextreme-react@23.2.6/cjs', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.4/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.5/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.54/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3', // SystemJS plugins 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme': { defaultExtension: 'js', }, 'devextreme-react': { main: 'index.js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/localization/messages': { format: 'json', defaultExtension: '', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.12/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, react: true, }, }; System.config(window.config);
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.js'; ReactDOM.render(<App />, document.getElementById('app'));
export const employee = { Full_Name: 'John Heart', Title: 'CEO', Birth_Date: '03/16/1964', Prefix: 'Mr.', Address: '351 S Hill St.', City: 'Los Angeles', Zipcode: 90013, Email: 'jheart@dx-email.com', Skype: 'jheart_DX_skype', Home_Phone: '(213) 555-9208', Mobile_Phone: '(213) 555-9392', };
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.tsx"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"></div> </div> </body> </html>
.header { font-size: 34px; display: inline-block; vertical-align: middle; padding: 10px; margin: 0; } #employee { margin: 20px 0; -webkit-touch-callout: none; -webkit-user-select: none; -khtml-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; border-top: 1px solid lightgray; border-bottom: 1px solid lightgray; } #employee > p { padding: 10px 20px; margin: 0; } .address { height: 60px; } .options { padding: 20px; background-color: rgba(191, 191, 191, 0.15); margin-top: 20px; } .caption { font-size: 18px; font-weight: 500; } .option { margin-top: 10px; }

DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Load Panel

The LoadPanel is an overlay component used to notify users that a process is in progress. In this demo, you can see how to initialize and configure the component.

Show and Hide the Indicator and Pane

LoadPanel elements (a message and an animated load indicator) are displayed on a pane. If you want to hide it, set the showPane property to false. You can also disable the showIndicator property to hide the animated load indicator. In this case, the LoadPanel displays only the message. In this demo, you can use the "With indicator" and "With pane" checkboxes to change the visibility of the load indicator and pane.

Configure the Background Shade

When LoadPanel is displayed, it shades the background. Use the shadingColor property to specify the color of the shade. You can also specify the element that should be shaded. For this, assign the element's CSS selector to the container property. If you do not want to shade the background, disable the shading property. In this demo, you can uncheck the "With overlay" checkbox to do it.

Show and Hide LoadPanel

To change the LoadPanel visibility in code, use the visible property. Alternatively, you can call the show() and hide() or toggle(showing) methods.

Users can hide LoadPanel when they click outside it if you enable the hideOnOutsideClick property. Use the "Hide on outside click" checkbox to control this functionality in this demo.

LoadPanel also allows you to handle the show and hide events. Use the onShowing and onHiding functions to handle the events before they occur and possibily cancel them. Use the onShown and onHidden functions to perform required actions after the events are raised.

Backend API
<template> <div> <div class="header-container"> <div class="header">John Heart</div> <DxButton :on-click="showLoadPanel" text="Load Data" /> </div> <div id="employee"> <p> Birth date: <b>{{ employeeInfo.Birth_Date }}</b> </p> <p class="address"> Address:<br> <b>{{ employeeInfo.City }}</b><br> <span>{{ employeeInfo.Zipcode }}</span> <span>{{ employeeInfo.Address }}</span> </p> <p> Phone: <b>{{ employeeInfo.Mobile_Phone }}</b><br> Email: <b>{{ employeeInfo.Email }}</b> </p> </div> <DxLoadPanel :position="position" v-model:visible="loadingVisible" :show-indicator="showIndicator" :show-pane="showPane" :shading="shading" :hide-on-outside-click="hideOnOutsideClick" :on-shown="onShown" :on-hidden="onHidden" shading-color="rgba(0,0,0,0.4)" /> <div class="options"> <div class="caption">Options</div> <div class="option"> <DxCheckBox v-model:value="showIndicator" text="With indicator" /> </div> <div class="option"> <DxCheckBox v-model:value="shading" text="With overlay" /> </div> <div class="option"> <DxCheckBox v-model:value="showPane" text="With pane" /> </div> <div class="option"> <DxCheckBox v-model:value="hideOnOutsideClick" text="Hide on outside click" /> </div> </div> </div> </template> <script setup lang="ts"> import { ref } from 'vue'; import { DxButton } from 'devextreme-vue/button'; import { DxCheckBox } from 'devextreme-vue/check-box'; import { DxLoadPanel } from 'devextreme-vue/load-panel'; import { employee } from './data.ts'; const employeeInfo = ref<typeof employee>({}); const loadingVisible = ref(false); const position = { of: '#employee' }; const showIndicator = ref(true); const shading = ref(true); const showPane = ref(true); const hideOnOutsideClick = ref(false); function showLoadPanel() { employeeInfo.value = {}; loadingVisible.value = true; } function onShown() { setTimeout(() => { loadingVisible.value = false; }, 3000); } function onHidden() { employeeInfo.value = employee; } </script> <style> .header { font-size: 34px; display: inline-block; vertical-align: middle; padding: 10px 14px 10px 10px; margin: 0; } #employee { margin: 20px 0; -webkit-touch-callout: none; -webkit-user-select: none; -khtml-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; border-top: 1px solid lightgray; border-bottom: 1px solid lightgray; } #employee > p { padding: 10px 20px; margin: 0; } .address { height: 60px; } .options { padding: 20px; background-color: rgba(191, 191, 191, 0.15); margin-top: 20px; } .caption { font-size: 18px; font-weight: 500; } .option { margin-top: 10px; } .header-container { display: flex; align-items: center; } </style>
window.exports = window.exports || {}; window.config = { transpiler: 'plugin-babel', meta: { '*.vue': { loader: 'vue-loader', }, '*.ts': { loader: 'demo-ts-loader', }, '*.svg': { loader: 'svg-loader', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, }, paths: { 'root:': '../../../../../', 'npm:': 'https://unpkg.com/', }, map: { 'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js', 'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js', 'demo-ts-loader': 'root:utils/demo-ts-loader.js', 'svg-loader': 'root:utils/svg-loader.js', 'mitt': 'npm:mitt/dist/mitt.umd.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.2.6/cjs', 'devextreme-vue': 'npm:devextreme-vue@23.2.6/cjs', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.4/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.5/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.54/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme-vue': { main: 'index.js', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.12/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, }, }; System.config(window.config);
export const employee = { Full_Name: 'John Heart', Title: 'CEO', Birth_Date: '03/16/1964', Prefix: 'Mr.', Address: '351 S Hill St.', City: 'Los Angeles', Zipcode: 90013, Email: 'jheart@dx-email.com', Skype: 'jheart_DX_skype', Home_Phone: '(213) 555-9208', Mobile_Phone: '(213) 555-9392', };
import { createApp } from 'vue'; import App from './App.vue'; createApp(App).mount('#app');
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <script src="https://unpkg.com/typescript@4.2.4/lib/typescript.js"></script> <script type="module"> import * as vueCompilerSFC from "https://unpkg.com/@vue/compiler-sfc@3.3.4/dist/compiler-sfc.esm-browser.js"; window.vueCompilerSFC = vueCompilerSFC; </script> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.ts"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"> </div> </div> </body> </html>